#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

ll maks = 10000000000;

int main(){
    ios::sync_with_stdio(false);
    ll n, m, k;
    cin >> n >> m >> k;
    ll a[maks][maks] = {0};
    int x, y;
    for(int i = 0;i < k;i++){
        cin >> x >> y;
        a[x-1][y-1] = 1;
    }
    ll broj = 0;
    for(ll i = 0;i < n;i++){
        for(ll j = 0;j < m;j++){
            if(a[i][j] == 0){
                broj++;
                a[i][j] = 1;
                a[i-1][j] = 1;
                a[i][j-1] = 1;
                a[i+1][j] = 1;
                a[i][j+1] = 1;
            }
        }
    }
    cout << broj;
    return 0;
}